Subject: Wanted: Plant Doctor

From: [email-masked] (Ronblo)
Date: 4 Mar 1995 19:26:59 -0500

I live in the Boston area(North Shore) and desperately need a plant doctor
who makes house calls to come and tell me why all my plants are dying. 
We've had them for a number of years and now, all of a sudden they've all
hit a tailspin.  Please help.    [email-masked]